Module Module1

    Sub Main()
        ' Set up the file variables
        Dim inFile As IO.StreamReader
        Dim fileName As String = "survey.txt"

        ' Open the file
        If (IO.File.Exists(fileName)) Then
            inFile = IO.File.OpenText(fileName)
        Else
            Console.WriteLine("Error! " & fileName & " does not exist.")
            Return
        End If

        ' Variables to hold voting results
        Dim vote As String
        Dim bush As Integer
        Dim kerry As Integer
        Dim mouse As Integer

        ' Read each vote and keep a tally for each candidate
        Do While (inFile.Peek <> -1)
            vote = inFile.ReadLine()
            vote = vote.ToLower()

            Select Case (vote)
                Case "bush"
                    bush = bush + 1

                Case "kerry"
                    kerry = kerry + 1

                Case "mouse"
                    mouse = mouse + 1

                Case Else
                    Console.WriteLine("Error! " & vote & " is not a valid vote type!")

            End Select
        Loop

        ' Output voting results
        Console.WriteLine("*** Voting Results ***")
        Console.WriteLine("George W. Bush " & bush & " votes.")
        Console.WriteLine("John Kerry " & kerry & " votes.")
        Console.WriteLine("Mickey Mouse " & mouse & " votes.")
        Console.WriteLine()

        ' Determine winner
        If ((bush > kerry) And (bush > mouse)) Then
            Console.WriteLine("Bush wins!")
        ElseIf (kerry > mouse) Then
            Console.WriteLine("Kerry wins!")
        Else
            Console.WriteLine("Mouse wins!")
        End If

    End Sub

End Module
